Subject: RE: Scope of PKIXML-WG. Was: Should PKIX protocols support XML w ell?

From: Michael Zolotarev <[email-masked]>
Date: Wed, 22 Nov 2000 15:32:07 +1100

Jeff, 

>tell me if I am missing something here that my JAVA
> programmers do not need to know the finer arts of ASN-1 to actual
> interface to it!

Jeff, let me assure you that your "JAVA programmers do not need to know the
finer arts of ASN-1 to actual interface to it!"

To handle certificates and related stuff in your applications, you don't
need to posess any knowledge of ASN1 BER/DER. As a matter of fact you don't
even need to know much, or anything at all, about internals of PKCS10, PKCS7
etc. There are APIs to handle it. The libraries in Java, C++, commercial or
free. You don't need to be bothered with anything else but the actual *use*
of the certificates, signatures and whatever else. But the *use* of that
stuff remains the same, be it in ASN or XML.

BTW Just a few days ago there was an announcement from Sun:
http://java.sun.com/j2se/1.3/docs/guide/security/CryptoSpec.html. I'm sure
their libraries provide more than plenty of support for what you may be
looking for.

Best regards
Michael 

> -----Original Message-----
> From: Jeff Davis [mailto:[email-masked]]
> Sent: Wednesday, 22 November 2000 2:51
> To: Anders Rundgren; EKR
> Cc: PKIX-List
> Subject: Re: Scope of PKIXML-WG. Was: Should PKIX protocols 
> support XML
> well?
> 
> 
> Anders,
> 
> From a potential user of the PKIX standards and a developer 
> of software
> products we are currently using XML within our product suites for
> describing data and sending between various points etc.  In 
> about 6 to 8
> months we will be wanting to create PKCS#10 requests and 
> receive PKCS#7
> responses etc in other product ventures (probably will also 
> use many of
> the other PKCS#'s as well ).
> 
> One of the skill bases we have is JAVA and XML.  It would 
> make sense to
> me to be able to do PKIXML in the future period and not have to either
> re-skill my development workforce/get new skill set in in order to
> process ASN-1/BER etc. (a selfish attitude maybe but when I asked them
> if anyone had knowledge of ASN-1, all I got was blank faces, 
> it is a sad
> world! )  - tell me if I am missing something here that my JAVA
> programmers do not need to know the finer arts of ASN-1 to actual
> interface to it!.
> 
> So, I for one would like to see a WG go forward so the PKIX 
> does support
> XML. This would give people a choice in the future if it does 
> transpire
> that XML can do the job, and as secure as present methods.
> 
> Hope this does not conflict too much with the purists for 
> PKIX standards
> as they have done/doing a great job.  I just think that you 
> now need to
> at least give XML a good hearing and this may be best served inside a
> WG.
> 
> Jeff Davis
> SafeStone Technologies
> ( beginner in PKI )
> 
> ----- Original Message -----
> From: Anders Rundgren <[email-masked]>
> To: EKR <[email-masked]>
> Cc: PKIX-List <[email-masked]>
> Sent: Tuesday, November 21, 2000 3:51 PM
> Subject: Re: Scope of PKIXML-WG. Was: Should PKIX protocols 
> support XML
> well?
> 
> 
> > > "Anders Rundgren" <[email-masked]> writes:
> > > > XMLDSIG i AFAIK a replacement for PKCS #7 and why did the IETF
> > > > bother with that?  So far as I can see even Baltimore is pushing
> > > > (proprietary) XML-based security solutions.
> > > XMLDSIG is certainly not a replacement for PKCS-7. How could it
> > > be, since it does not provide for encryption?
> >
> > OK, I erred. XMLDSIG only replaces a _subset_ of PKCS #7.  But it is
> definitely an example
> > of "PKI with XML-flavor"
> >
> > It would be of more interest to know your opinion on 
> PKIXML, or should
> I interprete
> > your geekic comment as: PKI+XML is crap, so why bother?
> >
> > Anders
> >
> >
>